@font-face {
  font-family: "Poppins";
  src: url("../fonts/Poppins-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Poppins-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Poppins-Medium.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Poppins-Light.woff2") format("woff2");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

:root {
  --primary-color: #f77200;
  --primary-hover-color: #e96a00;
  --custom-h1-color: #121212;
  --custom-font-bolder: 700;
  --custom-font-bold: 600;
  --custom-font-medium: 500;
  --custom-font-regular: 400;
  --custom-font-light: 300;
}

body {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: #12121280;
}

.top-header {
  max-height: 50px;
  background: #f9f9f9;
  font-weight: var(--custom-font-bold);
  font-size: 14px;
}

.nav-link {
  color: var(--custom-h1-color);
  font-weight: var(--custom-font-regular);
}

.custom-active {
  font-weight: var(--custom-font-medium) !important;
}

.price {
  min-width: 131px;
  font-size: 14px;
  background-color: var(--primary-color);
  color: white;
  font-weight: var(--custom-font-bold);
}

.price:hover {
  background-color: var(--primary-hover-color);
  color: white;
}

.custom-h1 {
  font-weight: var(--custom-font-bolder) !important;
  color: var(--custom-h1-color);
}

.kampanya-img-container {
  background-color: #d9d9d9;
  min-height: 350px;
}

.nakliyat-text {
  color: #6c757d;
  font-size: 1.2rem;
  /* 24px */
  line-height: 1.6;
}

.nakliyat-icon {
  width: 20px;
  height: 20px;
}

.nakliyat-btn {
  background-color: var(--primary-color);
  color: #fff;
  padding: 0.6rem 1.4rem;
  border-radius: 50px;
  font-weight: var(--custom-font-bold);
  transition: all 0.3s ease;
}

.hero-image {
  max-width: 100%;
  height: auto;
  margin-top: 100px;
  /* Sadece mockup'a özel boşluk */
  opacity: 0;
  transform: translateY(300px); /* Aşağıda başlar */
  transition: opacity 1s ease-out, transform 0.6s ease-out;
  /* Improve rendering quality for upscaled images */
  image-rendering: -webkit-optimize-contrast;
  image-rendering: crisp-edges;
}
.hero-image.animate {
  opacity: 1;
  transform: translateY(0); /* Yukarı kayar */
}

.hero-section-bg {
  position: absolute;
  height: 70%;
  width: 60%;
  right: 0;
  top: 0;
  transform: translateY(-100px);
  z-index: -1;
}

.link-highlight {
  color: #f77200;
  text-decoration: underline;
  font-weight: 500;
}

.call-btn {
  background-color: var(--primary-color);
  color: #fff;
  padding: 0.6rem 1.4rem;
  border-radius: 8px;
  font-weight: var(--custom-font-bold);
  transition: all 0.3s ease;
}

.custom-underline {
  text-decoration: underline;
  text-decoration-color: #000;
  text-underline-offset: 7px;
}
.custom-underline-white {
  text-decoration: underline;
  text-decoration-color: #fff;
  text-underline-offset: 15px;
}

.about-us-title {
  font-size: 70px;
}

.about-us-text {
  font-size: 25px;
}

.call-btn:hover {
  background-color: var(--primary-hover-color);
  color: #fff;
}

.nakliyat-btn:hover {
  background-color: var(--primary-hover-color);
  color: #fff;
}

.service-card {
  border-radius: 16px;
  box-shadow: 0px 1px 20px 0px #0000001a;
  transition: transform 0.3s;
}

.service-card:hover {
  transform: translateY(-5px);
}

/* index search start */
.autocomplete-list {
  position: absolute;
  z-index: 10;
  background-color: white;
  border: 1px solid #ddd;
  border-radius: 8px;
  max-height: 200px;
  overflow-y: auto;
  width: 100%;
}

.autocomplete-list div {
  padding: 8px 12px;
  cursor: pointer;
}

.autocomplete-list div:hover {
  background-color: var(--primary-hover-color);
  color: white;
}

.input-pill {
  border-radius: 999px;
  padding: 0.6rem 1rem;
  border: none;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.05);
  width: 100%;
}

.input-pill:focus {
  outline: none;
  border: 2px solid var(--primary-color);
}

.search-section {
  background-color: #efefef;
}

/* index search end */

/* index hizmetler start */
.hizmetler-card {
  background-color: #fffaf5;
  padding: 1.5rem 1.5rem 0 1.5rem;
  border-radius: 12px;
  height: 100%;
  transition: box-shadow 0.3s ease;
}

.hizmetler-card:hover {
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
}

.hizmetler-title {
  font-weight: 700;
  font-size: 1.1rem;
  margin-bottom: 0.5rem;
}

.hizmetler-desc {
  font-size: 0.95rem;
  color: #555;
  margin-bottom: 1.5rem;
}

.hizmetler-image-placeholder {
  background-color: #efefef;
  height: 310px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.hizmetler-image-placeholder img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* index hizmetler end */

/* price-compare start */

.btn-tab {
  font-size: 0.9rem;
  padding: 0.5rem 1rem;
  background-color: #dbdbdb;
  color: #333;
  border: 1px solid #ccc;
  border-radius: 0;
}

.btn-tab.active {
  background-color: #f77200;
  color: white;
  font-weight: 600;
}

.btn-room {
  font-size: 0.9rem;
  padding: 0.4rem 1rem;
  background-color: #dbdbdb;
  color: #333;
  border: 1px solid #ccc;
  border-radius: 0;
}

.btn-room.active {
  background-color: #f77200;
  color: #fff;
}

.btn-tab:hover {
  background-color: #e96a00;
  color: #fff;
}

.btn-room:hover {
  background-color: #e96a00;
  color: #fff;
}

.btn-room:not(:first-child) {
  border-left: 1px solid #ccc;
}

.btn-room:first-child {
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
}

.btn-room:last-child {
  border-top-right-radius: 12px;
  border-bottom-right-radius: 12px;
  border-right: none;
}

.compare-bg {
  background-color: #f8f8f8;
}

/* price-compare end */

/* faq start */
.question-img {
  border-radius: 24px;
}

.faq-item {
  border-bottom: 1px solid #ddd;
  padding: 1rem 0;
}

.faq-toggle {
  background: none;
  border: none;
  width: 100%;
  text-align: left;
  font-weight: 600;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0;
}

.faq-answer {
  font-size: 0.95rem;
  color: #888;
  margin-top: 0.5rem;
}

.custom-arrow {
  width: 20px;
  transition: transform 0.3s ease;
}

.rotate {
  transform: rotate(180deg);
}
/* faq end */

#typeTarget::after {
  content: "|";
  animation: blink 1s infinite;
  color: #f77200;
}

@keyframes blink {
  0%,
  100% {
    opacity: 1;
  }

  50% {
    opacity: 0;
  }
}

.service-icon {
  width: 100%;
  object-fit: contain;
  margin: 10px auto 10px;
  display: block;
}

.service-title {
  font-weight: var(--custom-font-bold) !important;
  font-size: 1.1rem;
}

.service-text {
  color: #12121280;
  font-size: 0.95rem;
}

.premium-container {
  box-shadow: 1px 0px 50px 0px #0000001a;
}

.premium-title {
  font-weight: var(--custom-font-bold) !important;
}

.color-primary,
.text-orange {
  color: var(--primary-color) !important;
}

.btn-orange {
  background-color: var(--primary-color);
  color: #fff;
}

.btn-orange:hover {
  background-color: var(--primary-hover-color);
  color: #fff;
}

.premium-background {
  background-color: var(--primary-color);
  z-index: 9 !important;
}

.phone-input-wrapper {
  display: flex;
  align-items: center;
  border: 1px solid #ff7300;
  border-radius: 8px;
  overflow: hidden;
  width: 300px;
  justify-content: center;
}

.country-code {
  background-color: #ff7300;
  color: white;
  padding: 0.5rem 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  border-right: 1px solid #ff7300;
}

.phone-input {
  border: none;
  flex: 1;
  padding: 0.5rem;
  outline: none;
}

.phone-input::placeholder {
  color: #aaa;
}

.premium-img {
  background-image: url("../img/premium-background.png");
  background-repeat: no-repeat;
  background-position: center;
}

.about-us-bg {
  background-image: url("../img/Group\ 427320569.png");
  background-repeat: no-repeat;
  background-position: center;
}

.icons-bg {
  background-color: #fff4ec;
}

label {
  font-weight: var(--custom-font-medium) !important;
}

.icons-bg i {
  font-size: 24px;
}

.footer-bg {
  background-color: #f9f9f9;
}

.footer-nav-headers {
  font-size: 16px !important;
  font-weight: 600 !important;
}

.footer-nav-item {
  font-size: 14px !important;
  font-weight: 400 !important;
}

.footer-p {
  font-size: 14px !important;
  font-weight: 500 !important;
  line-height: 180%;
  color: #8a8a8a;
}

.custom-select {
  font-weight: var(--custom-font-bold) !important;
  border: none !important;
}

select {
  color: #12121280 !important;
}

option {
  background-color: var(--primary-color) !important;
  font-weight: var(--custom-font-bold);
  color: white;
}

.ref-bg {
  background-color: var(--primary-color);
  color: white;
}

.slider {
  overflow: hidden;
  white-space: nowrap;
  position: relative;
}

.slide-track {
  display: inline-flex;
  animation: scroll 20s linear infinite;
}

.slide-track img {
  margin: 0 40px;
  object-fit: contain;
}

.comments-section {
  display: flex;
  align-items: center;
  gap: 1rem;
  overflow: hidden;
}

.avatars {
  display: flex;
  align-items: center;
  position: relative;
}

.avatars img {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  border: 2px solid white;
  object-fit: cover;
  background-color: #ddd;
}

.avatars img:not(:first-child) {
  margin-left: -10px;
}

.comment-wrapper {
  height: 30px;
  overflow: hidden;
  position: relative;
}

.comment-track {
  display: flex;
  flex-direction: column;
  transition: transform 0.5s ease-in-out;
}

.comment-track div {
  text-align: left;
  color: #999;
  font-size: 1rem;
  white-space: nowrap;
  height: 30px;
  display: flex;
  align-items: center;
}

@keyframes scroll {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(-50%);
  }
}

.dot {
  height: 8px;
  width: 18px;
  margin: 0 5px;
  background-color: #ddd;
  border-radius: 10px;
  display: inline-block;
  cursor: pointer;
  transition: all 0.3s ease;
}

.dot.active {
  background-color: var(--primary-color);
  width: 51px;
}

#cardContainer {
  scroll-snap-type: x mandatory;
  -webkit-overflow-scrolling: touch;
}

#cardContainer > div {
  scroll-snap-align: start;
  flex: 0 0 100%;
}

.section-title {
  font-weight: bold;
  font-size: 1.25rem;
  margin-bottom: 0.25rem;
}

.title-line {
  width: 300px;
  height: 4px;
  border-radius: 10px;
  overflow: hidden;
  display: flex;
  margin-bottom: 1.5rem;
}

.line-orange {
  background-color: #f77200;
  height: 100%;
}

.line-gray {
  background-color: #ddd;
  height: 100%;
}

.form-check-input {
  width: 1.2em;
  height: 1.2em;
  margin-top: 0.3em;
}

.form-check-label {
  font-size: 1rem;
  font-weight: 400 !important;
  padding-top: 4px;
}

.form-section {
  margin-bottom: 3rem;
}
.form-check-input:checked {
  background-color: #f77200;
  border-color: #c8c8c8;
  box-shadow: none;
  background-image: none;
}

/* Fiyat Alma B */

.room-card {
  position: relative;
  background-color: rgba(248, 112, 0, 0.04);
  padding: 1rem;
  text-align: center;
  border-radius: 1rem;
  cursor: pointer;
  transition: 0.3s;
  border: 2px solid transparent;
}

.room-card:hover {
  border-color: var(--primary-color);
}

.room-card.active {
  border-color: var(--primary-color);
}

.rotate-icon {
  width: 70px;
  position: absolute;
  top: -20px;
  right: 10px;
  background-color: var(--primary-color);
  color: white;
  padding: 8px;
  border-radius: 24px;
  font-size: 1rem;
  z-index: 10;
  border: 4px solid #fff;
}

.rotate-icon i {
  display: inline-block;
  transition: transform 0.3s ease;
  transform: rotate(0deg); /* Başlangıçta çapraz */
}

.room-card.active .rotate-icon i {
  transform: rotate(45deg); /* Aktif olduğunda sağa döner */
}

.room-card.active .rotate-icon {
  background-color: var(--primary-hover-color);
}

.room-card img {
  max-width: 90px;
  height: 80px;
}

.room-card .fw-semibold {
  margin-top: 1rem;
  font-size: 1.1rem;
  color: #333;
}

.room-text {
  font-weight: var(--custom-font-medium) !important;
}

.room-card-title {
  font-size: 1.5rem;
  font-weight: var(--custom-font-medium);
}

.option-box {
  background-color: #f1f1f1;
  padding: 0.75rem 1rem;
  border-radius: 20px;
  margin-bottom: 0.75rem;
  font-size: 0.9rem;
  color: #333;
}

.info-box {
  background-color: #f7f7f7;
  border-left: 5px solid var(--primary-color);
  padding: 1.25rem;
  border-radius: 12px;
  height: 100%;
}

.info-box p {
  margin-bottom: 0.5rem;
}

.info-box .label {
  font-weight: 500;
}

.info-box .value {
  color: var(--primary-color);
  font-weight: 600;
}

.pricing-bar {
  background-color: var(--primary-color);
  color: white;
  text-align: center;
  font-weight: 600;
  padding: 0.5rem 1rem;
  border-radius: 8px;
  margin-top: 1rem;
}

.buttons-bg {
  background-color: rgba(243, 243, 243, 1);
  border-top: 0.4px solid rgba(133, 133, 133, 1);
  border-bottom: 0.4px solid rgba(133, 133, 133, 1);
}

.btn-next {
  background-color: var(--primary-color);
  color: white;
  font-weight: 600;
  padding: 0.55rem 2rem;
  border-radius: 10px;
  border: none;
  width: 287px;
}

.btn-next:hover {
  background-color: var(--primary-hover-color);
  color: white;
}

.btn-prev {
  background-color: #d1d1d1;
  color: #333;
  font-weight: 600;
  padding: 0.55rem 2rem;
  border-radius: 10px;
  border: none;
}

.btn-prev:hover {
  background-color: #bcbcbc;
}

.selectable-box {
  border: 2px solid #ddd;
  border-radius: 12px;
  padding: 1rem;
  text-align: center;
  cursor: pointer;
  transition: all 0.2s ease;
  height: 100%;
}

.selectable-box.active {
  border-color: #f77200;
}

.f-price {
  font-weight: bold;
  font-size: 1.25rem;
  color: #f77200;
}

.hour-box {
  border: 2px solid #ddd;
  border-radius: 10px;
  text-align: center;
  padding: 0.5rem 0.75rem;
  cursor: pointer;
  transition: all 0.2s ease;
  font-weight: 500;
  background-color: #fff;
}

.hour-box.active {
  border-color: #f77200;
}
.service-box {
  border: 1px solid #ccc;
  border-radius: 12px;
  padding: 1rem;
  transition: all 0.3s ease;
}

.service-box.active {
  border-color: #f77200;
}

.form-check-input[type="checkbox"] {
  width: 1.25rem;
  height: 1.25rem;
  margin-top: 0.3rem;
  border: 2px solid #ccc;
  transition: all 0.2s;
  border-radius: 50%;
}

.form-check-input:checked {
  background-color: #f77200;
  border-color: #f77200;
}

.service-price {
  font-size: 1.2rem;
}

.ekstra-title {
  font-weight: 500;
}

.details-text {
  font-size: 0.95rem;
  color: #555;
  margin-top: 0.5rem;
}

.payment-tabs {
  display: flex;
  border-radius: 12px;
  overflow: hidden;
  border: 1px solid #ddd;
}

.tab-btn {
  flex: 1;
  padding: 12px 0;
  font-weight: 600;
  border: none;
  background-color: #fff;
  color: #000;
  transition: all 0.3s ease;
}

.tab-btn.active {
  background-color: #f77200;
  color: #fff;
}

.info-icon {
  width: 28px;
  height: 28px;
  background-color: #f77200;
  color: white;
  font-size: 18px;
  border-radius: 50%;
  text-align: center;
  line-height: 28px;
  display: inline-block;
}

.form-control {
  border-radius: 12px;
  height: 50px;
  font-size: 16px;
  box-shadow: none;
}

textarea.form-control {
  height: 120px;
  resize: none;
}

.checkbox-label {
  font-size: 14px;
  line-height: 1.5;
}

.highlight-orange {
  color: #f77200;
  font-weight: 600;
}

.submit-btn {
  background-color: #f77200;
  color: white;
  font-weight: 600;
  border-radius: 12px;
  padding: 14px 0;
  width: 100%;
  border: none;
}

.submit-btn:hover {
  background-color: #e56300;
}

.custom-check {
  width: 20px;
  height: 20px;
  margin-top: 2px;
}

.payment-content {
  display: none;
}

.payment-content.active {
  display: block;
}

.map-area {
  background-color: #ddd;
  border-radius: 16px;
  height: 250px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #000;
  font-weight: 500;
}

.custom-input {
  border-radius: 8px;
  border: 1px solid #ccc;
  padding: 0.75rem 1rem;
}

.custom-input:focus {
  border-color: #999;
  box-shadow: none;
}

/* Fiyat Alma E */

/* Ofis Fiyat Teklif Başlangıç */
.modal-content {
  border-radius: 16px;
  padding: 2rem 1.5rem;
  text-align: center;
}
.phone-wrapper {
  display: flex;
  justify-content: center;
  margin-bottom: 1rem;
}
.phone-wrapper span {
  background-color: #f77200;
  color: white;
  padding: 0.75rem 1rem;
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
  border: 1px solid #f77200;
}
.phone-wrapper input {
  flex: 1;
  max-width: 250px;
  border: 1px solid #f77200;
  border-left: none;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
  padding: 0.75rem;
}
.modal-button {
  background-color: #f77200;
  color: white;
  padding: 0.5rem 2rem;
  border: none;
  border-radius: 8px;
  font-weight: 600;
  margin-top: 1rem;
}
.verify-inputs input {
  width: 40px;
  height: 40px;
  text-align: center;
  font-size: 1.25rem;
  border-radius: 8px;
  border: 1px solid #ddd;
  margin: 0 5px;
}
/* Ofis Fiyat Teklif Bitiş */

/*  */
.textarea-border {
  border: 2px solid #ccc;
  border-radius: 12px;
  min-height: 150px !important;
  padding: 1rem;
  resize: none;
}

.textarea-border:focus {
  border-color: #f77200;
  box-shadow: 0 0 5px rgba(247, 114, 0, 0.5);
}

.helper-btn {
  border: 1px solid #ccc;
  border-radius: 6px;
  transition: all 0.2s ease;
  background-color: #fff;
  font-weight: 500;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  min-width: 80px;
  justify-content: center;
  max-height: 30px;
}

.helper-btn:hover {
  border-color: #f77200;
}

.helper-btn.active {
  border-color: #f77200;
}

.helper-icon {
  font-size: 1.2rem;
}

.form-label {
  font-weight: 500;
  margin-top: 1.5rem;
}
/*  */

@media (max-width: 768px) {
  #cardContainer > * {
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
    margin: 0.75rem !important;
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
  }

  .card {
    margin: 0.5rem;
    border: none !important;
  }

  .service-card:hover {
    transform: translateY(0px) !important;
  }

  .hero-image {
    margin-top: 20px;
  }
  .hizmetler-image-placeholder {
    height: 240px;
  }
}

@media (max-width: 991.98px) {
  .hero-section-bg {
    width: 100%;
    object-fit: cover;
  }

  .service-card {
    margin: 1rem;
  }

  .swiper {
    position: relative;
    padding-bottom: 30px;
  }

  .swiper-pagination {
    position: absolute;
    bottom: 20px;
    left: 0;
    width: 100%;
    text-align: center;
  }

  .swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: #ddd;
    opacity: 1;
    margin: 0 6px;
    transition: all 0.3s ease;
  }

  .swiper-pagination-bullet-active {
    width: 51px;
    height: 8px;
    border-radius: 5px;
    background-color: var(--primary-color);
  }
  .rotate-icon {
    width: 55px;
    top: -15px;
    right: 5px;
  }
}
.info-box{
  height: 500px;
  overflow-y: auto;
}
#step_btns{
  position: fixed;
  left: 0;
  bottom: 0;
  margin: 0 !important;
}
@media only screen and (max-width: 430px){
  .info-box{
    height: auto !important;
    overflow-y: auto;
  }
  .room-card-title{
    font-size: 1.25rem !important;
  }
  .room-card img {
      max-width: 70px;
      height: 60px;
  }
  .rotate-icon {
      width: 35px;
      height: 30px;
      top: -15px;
      right: 5px;
      display: flex;
      align-items: center;
      justify-content: center;
  }
 .option-box {
    background-color: #f1f1f1;
    padding: 0.75rem 1rem;
    border-radius: 20px;
    margin-bottom: 0.75rem;
    font-size: 12px;
    color: #333;
}
.step-content{
  min-height: auto !important;
}
.form-section .section-title{
  font-size: 1rem;
}
.form-check-label{
  font-size: 14px;
}
.details-text{
  font-size: 14px;
}
.info-box{
  padding: 1rem;
}
}